const eleventySass = require("eleventy-sass");
const toml = require("@iarna/toml");

module.exports = function(eleventyConfig) {
    eleventyConfig.setLayoutsDirectory("_layouts");
    eleventyConfig.addPassthroughCopy("img");
    eleventyConfig.addPassthroughCopy("css/fonts");
    eleventyConfig.addPassthroughCopy("js");
    eleventyConfig.addPassthroughCopy("LICENSE.txt");

    eleventyConfig.addPlugin(eleventySass);
    eleventyConfig.addDataExtension("toml", (contents) => toml.parse(contents));

    return {
        markdownTemplateEngine: "njk",
        htmlTemplateEngine: "njk"
    }
};